Sage 2018 Compatibility

Peter Finance 0 Comments

Staying on top of your Sage 300 compatibility is incredibly important. We want to ensure that our clients experience the smoothest transition possible, so if you have any question or concerns please don’t hesitate to contact us!

Supported Versions for Sage 300

When Sage 300 2018 is released later this year, in accordance with their support policy, Sage will only be supporting Sage 300 and Sage 300c 2018, 2017, and 2016. We will no longer be providing support for Sage 300 2014 or earlier versions.

If you are on a version that will not be supported, we encourage you to contact Abenaki for help with upgrading to one of the supported versions of the software.

For more information about compatibility, see the Sage 300 Compatibility guides and system requirements.

Leave a Reply

Your email address will not be published. Required fields are marked *